org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class PageRankTest.Traversals

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.map.PageRankTest
      - - org.apache.tinkerpop.gremlin.process.traversal.step.map.PageRankTest.Traversals

- Enclosing class:
    PageRankTest

      public static class PageRankTest.Traversals
      extends PageRankTest

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.map.PageRankTest

      `PageRankTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Traversals()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Traversal<Vertex,Map<String,List<Object>>>` | `get_g_V_hasLabelXpersonX_pageRank_byXpageRankX_order_byXpageRankX_valueMapXname_pageRankX()`
    `Traversal<Vertex,Map<String,List<Object>>>` | `get_g_V_hasLabelXsoftwareX_hasXname_rippleX_pageRankX1X_byXinEXcreatedXX_timesX1X_byXpriorsX_inXcreatedX_unionXboth__identityX_valueMapXname_priorsX()`
    `Traversal<Vertex,Map<Object,List<Vertex>>>` | `get_g_V_outXcreatedX_groupXmX_byXlabelX_pageRankX1X_byXpageRankX_byXinEX_timesX1X_inXcreatedX_groupXmX_byXpageRankX_capXmX()`
    `Traversal<Vertex,Map<String,List<Object>>>` | `get_g_V_outXcreatedX_pageRank_byXbothEX_byXprojectRankX_timesX0X_valueMapXname_projectRankX()`
    `Traversal<Vertex,Map<String,List<Object>>>` | `get_g_V_pageRank_byXoutEXknowsXX_byXfriendRankX_valueMapXname_friendRankX()`
    `Traversal<Vertex,Map<String,Object>>` | `get_g_V_pageRank_byXpageRankX_asXaX_outXknowsX_pageRank_asXbX_selectXa_bX()`
    `Traversal<Vertex,String>` | `get_g_V_pageRank_order_byXpageRank_decrX_name_limitX2X()`
    `Traversal<Vertex,String>` | `get_g_V_pageRank_order_byXpageRank_decrX_name()`
    `Traversal<Vertex,Vertex>` | `get_g_V_pageRank()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.map.PageRankTest

      `g_V_hasLabelXpersonX_pageRank_byXpageRankX_order_byXpageRankX_valueMapXname_pageRankX, g_V_hasLabelXsoftwareX_hasXname_rippleX_pageRankX1X_byXinEXcreatedXX_timesX1X_byXpriorsX_inXcreatedX_unionXboth__identityX_valueMapXname_priorsX, g_V_outXcreatedX_groupXmX_byXlabelX_pageRankX1X_byXpageRankX_byXinEX_timesX1X_inXcreatedX_groupXmX_byXpageRankX_capXmX, g_V_outXcreatedX_pageRank_byXbothEX_byXprojectRankX_valueMapXname_projectRankX, g_V_pageRank_byXoutEXknowsXX_byXfriendRankX_valueMapXname_friendRankX, g_V_pageRank_byXpageRankX_asXaX_outXknowsX_pageRank_asXbX_selectXa_bX, g_V_pageRank_order_byXpageRank_decrX_name_limitX2X, g_V_pageRank_order_byXpageRank_decrX_name, g_V_pageRank`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Traversals

          public Traversals()

  - ### Method Detail

    - #### get_g_V_pageRank

          public Traversal<Vertex,Vertex> get_g_V_pageRank()

      Specified by:
        `get_g_V_pageRank` in class `PageRankTest`

    - #### get_g_V_outXcreatedX_pageRank_byXbothEX_byXprojectRankX_timesX0X_valueMapXname_projectRankX

          public Traversal<Vertex,Map<String,List<Object>>> get_g_V_outXcreatedX_pageRank_byXbothEX_byXprojectRankX_timesX0X_valueMapXname_projectRankX()

      Specified by:
        `get_g_V_outXcreatedX_pageRank_byXbothEX_byXprojectRankX_timesX0X_valueMapXname_projectRankX` in class `PageRankTest`

    - #### get_g_V_pageRank_byXoutEXknowsXX_byXfriendRankX_valueMapXname_friendRankX

          public Traversal<Vertex,Map<String,List<Object>>> get_g_V_pageRank_byXoutEXknowsXX_byXfriendRankX_valueMapXname_friendRankX()

      Specified by:
        `get_g_V_pageRank_byXoutEXknowsXX_byXfriendRankX_valueMapXname_friendRankX` in class `PageRankTest`

    - #### get_g_V_pageRank_order_byXpageRank_decrX_name

          public Traversal<Vertex,String> get_g_V_pageRank_order_byXpageRank_decrX_name()

      Specified by:
        `get_g_V_pageRank_order_byXpageRank_decrX_name` in class `PageRankTest`

    - #### get_g_V_pageRank_order_byXpageRank_decrX_name_limitX2X

          public Traversal<Vertex,String> get_g_V_pageRank_order_byXpageRank_decrX_name_limitX2X()

      Specified by:
        `get_g_V_pageRank_order_byXpageRank_decrX_name_limitX2X` in class `PageRankTest`

    - #### get_g_V_hasLabelXpersonX_pageRank_byXpageRankX_order_byXpageRankX_valueMapXname_pageRankX

          public Traversal<Vertex,Map<String,List<Object>>> get_g_V_hasLabelXpersonX_pageRank_byXpageRankX_order_byXpageRankX_valueMapXname_pageRankX()

      Specified by:
        `get_g_V_hasLabelXpersonX_pageRank_byXpageRankX_order_byXpageRankX_valueMapXname_pageRankX` in class `PageRankTest`

    - #### get_g_V_pageRank_byXpageRankX_asXaX_outXknowsX_pageRank_asXbX_selectXa_bX

          public Traversal<Vertex,Map<String,Object>> get_g_V_pageRank_byXpageRankX_asXaX_outXknowsX_pageRank_asXbX_selectXa_bX()

      Specified by:
        `get_g_V_pageRank_byXpageRankX_asXaX_outXknowsX_pageRank_asXbX_selectXa_bX` in class `PageRankTest`

    - #### get_g_V_hasLabelXsoftwareX_hasXname_rippleX_pageRankX1X_byXinEXcreatedXX_timesX1X_byXpriorsX_inXcreatedX_unionXboth__identityX_valueMapXname_priorsX

          public Traversal<Vertex,Map<String,List<Object>>> get_g_V_hasLabelXsoftwareX_hasXname_rippleX_pageRankX1X_byXinEXcreatedXX_timesX1X_byXpriorsX_inXcreatedX_unionXboth__identityX_valueMapXname_priorsX()

      Specified by:
        `get_g_V_hasLabelXsoftwareX_hasXname_rippleX_pageRankX1X_byXinEXcreatedXX_timesX1X_byXpriorsX_inXcreatedX_unionXboth__identityX_valueMapXname_priorsX` in class `PageRankTest`

    - #### get_g_V_outXcreatedX_groupXmX_byXlabelX_pageRankX1X_byXpageRankX_byXinEX_timesX1X_inXcreatedX_groupXmX_byXpageRankX_capXmX

          public Traversal<Vertex,Map<Object,List<Vertex>>> get_g_V_outXcreatedX_groupXmX_byXlabelX_pageRankX1X_byXpageRankX_byXinEX_timesX1X_inXcreatedX_groupXmX_byXpageRankX_capXmX()

      Specified by:
        `get_g_V_outXcreatedX_groupXmX_byXlabelX_pageRankX1X_byXpageRankX_byXinEX_timesX1X_inXcreatedX_groupXmX_byXpageRankX_capXmX` in class `PageRankTest`

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.